Package Details: envoyproxy 1.14.1-1

Git Clone URL: https://aur.archlinux.org/envoyproxy.git (read-only, click to copy)
Package Base: envoyproxy
Description: A high performance, open source, general RPC framework that puts mobile and HTTP/2 first.
Upstream URL: https://envoyproxy.io
Keywords: proxy
Licenses: Apache2
Submitter: kxuan
Maintainer: kxuan
Last Packager: kxuan
Votes: 4
Popularity: 0.070244
First Submitted: 2018-11-01 08:31
Last Updated: 2020-04-24 08:26

Latest Comments

kxuan commented on 2020-04-24 08:27

@dflemstr Thank you. already updated to 1.14.1.

dflemstr commented on 2020-04-24 08:12

Also, upgrading to 1.14.1:

From 8aae33d115f5180f8a3896f450726c17407f6a79 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?David=20Flemstr=C3=B6m?= <david.flemstrom@gmail.com>
Date: Fri, 24 Apr 2020 10:11:24 +0200
Subject: [PATCH 2/2] Upgrade to 1.14.1

---
 PKGBUILD | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/PKGBUILD b/PKGBUILD
index 11ff5b9..cafdcee 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,8 +1,8 @@
 # Maintainer: kXuan <kxuanobj@gmail.com>

 pkgname=envoyproxy
-pkgver=1.13.0
-pkgrel=2
+pkgver=1.14.1
+pkgrel=1
 pkgdesc="A high performance, open source, general RPC framework that puts mobile and HTTP/2 first."
 arch=('i686' 'x86_64')
 url='https://envoyproxy.io'
@@ -11,7 +11,7 @@ makedepends=('bazelisk-bin' 'cmake' 'git' 'go' 'ninja' 'perl' 'python' 'python2'
 source=(
     "https://github.com/$pkgname/envoy/archive/v$pkgver.tar.gz"
 )
-sha512sums=('64d0d523903bbcdc30beea89bc130c91a1bf168f6a2fbab4e191c693d0b8c02da06a3725cd53bb70650e16b44884004c468f5c0e20135cf4214c36eb60a62b90')
+sha512sums=('0d68a15f7eb5a16a26a093a993132d57941931963f06845d3ba489505f18a9a7d82c809c38c6552ef01bc542ee715152b964f1dcf6b69951c3d9bbe6b3f3af20')

 prepare() {
   cd "envoy-$pkgver"
-- 
2.26.2

dflemstr commented on 2020-04-24 07:49

The build worked fine for me by simply switching to bazelisk explicitly:

From 7f1c11903091bbf2d4ef15538a0037a520b4346a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?David=20Flemstr=C3=B6m?= <david.flemstrom@gmail.com>
Date: Fri, 24 Apr 2020 09:47:38 +0200
Subject: [PATCH] Use bazelisk for building

---
 0001-aur-fix-bazelversion-to-2.1.0.patch | 20 --------------------
 PKGBUILD                                 | 12 +++---------
 2 files changed, 3 insertions(+), 29 deletions(-)
 delete mode 100644 0001-aur-fix-bazelversion-to-2.1.0.patch

diff --git a/0001-aur-fix-bazelversion-to-2.1.0.patch b/0001-aur-fix-bazelversion-to-2.1.0.patch
deleted file mode 100644
index 83dcd9f..0000000
--- a/0001-aur-fix-bazelversion-to-2.1.0.patch
+++ /dev/null
@@ -1,20 +0,0 @@
-From 4099ffee0d7d3dbf57b7ed26a922a9a46411b3a9 Mon Sep 17 00:00:00 2001
-From: kXuan <kxuanobj@gmail.com>
-Date: Thu, 27 Feb 2020 14:34:54 +0800
-Subject: [PATCH] aur: fix bazelversion to 2.1.0
-
-Signed-off-by: kXuan <kxuanobj@gmail.com>
----
- .bazelversion | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/.bazelversion b/.bazelversion
-index 227cea215..3af0113a5 100644
---- a/.bazelversion
-+++ b/.bazelversion
-@@ -1 +1 @@
--2.0.0
-+2.1.0-
--- 
-2.25.1
-
diff --git a/PKGBUILD b/PKGBUILD
index 0097b89..11ff5b9 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -7,20 +7,14 @@ pkgdesc="A high performance, open source, general RPC framework that puts mobile
 arch=('i686' 'x86_64')
 url='https://envoyproxy.io'
 license=('Apache2')
-makedepends=('bazel' 'cmake' 'git' 'go' 'ninja' 'perl' 'python')
+makedepends=('bazelisk-bin' 'cmake' 'git' 'go' 'ninja' 'perl' 'python' 'python2')
 source=(
     "https://github.com/$pkgname/envoy/archive/v$pkgver.tar.gz"
-    "0001-aur-fix-bazelversion-to-2.1.0.patch"
 )
-sha512sums=('64d0d523903bbcdc30beea89bc130c91a1bf168f6a2fbab4e191c693d0b8c02da06a3725cd53bb70650e16b44884004c468f5c0e20135cf4214c36eb60a62b90'
-'SKIP')
+sha512sums=('64d0d523903bbcdc30beea89bc130c91a1bf168f6a2fbab4e191c693d0b8c02da06a3725cd53bb70650e16b44884004c468f5c0e20135cf4214c36eb60a62b90')

 prepare() {
   cd "envoy-$pkgver"
-  for p in "${srcdir}"/*.patch; do
-      echo "Apply patch $p"
-      patch --forward --strip=1 --input="$p"
-  done
   go get github.com/bazelbuild/buildtools/buildifier
   # The commit id of $pkgver
   echo "bb7ceff4c3c5bd4555dff28b6e56d27f2f8be0a7" > SOURCE_VERSION
@@ -29,7 +23,7 @@ prepare() {
 build() {
   cd "envoy-$pkgver"

-  bazel build --verbose_failures --workspace_status_command bazel/get_workspace_status -c opt //source/exe:envoy-static
+  bazelisk build --verbose_failures --workspace_status_command bazel/get_workspace_status -c opt //source/exe:envoy-static
 }

 package() {
-- 
2.26.2

sorah commented on 2020-01-19 11:47

envoy needs python and python2 to build:

Please ensure an interpreter with version 2 is available on this platform as 'python2' or 'python', or else register an appropriate Python toolchain as per the documentation for py_runtime_pair (https://github.com/bazelbuild/rules_python/blob/master/docs/python.md#py_runtime_pair).

(... and, still I'm not sure how we can deal with .bazelversion)